Skip to main content

Ingest Document

Catalog + Curated

This page is generated from the full broker catalog and enhanced with curated examples.

POSTqdrant.qdrant-ingest-document

Ingest general documents/content (document workflow) from source URL or inline text.

Request Body

{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-ingest-document-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-ingest-document",
"arguments": {
"collection_name": "school",
"source_url": "https://files.example.com/course-rubric.pdf",
"file_name": "course-rubric.pdf",
"file_type": "pdf",
"chunk_size": 1200,
"chunk_overlap": 150,
"metadata": {
"class": "COM120",
"material_type": "rubric"
}
}
}
}

Arguments Schema

{
"type": "object",
"required": [
"collection_name"
],
"properties": {
"collection_name": {
"type": "string"
},
"source_url": {
"type": "string"
},
"text": {
"type": "string"
},
"file_name": {
"type": "string"
},
"file_type": {
"type": "string"
},
"chunk_size": {
"type": "number",
"minimum": 100
},
"chunk_overlap": {
"type": "number",
"minimum": 0
},
"metadata": {
"type": "object",
"additionalProperties": true
}
},
"additionalProperties": false
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-ingest-document-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-ingest-document",
"arguments": {
"collection_name": "school",
"source_url": "https://files.example.com/course-rubric.pdf",
"file_name": "course-rubric.pdf",
"file_type": "pdf",
"chunk_size": 1200,
"chunk_overlap": 150,
"metadata": {
"class": "COM120",
"material_type": "rubric"
}
}
}
}'

Example Responses

{
"ok": true,
"chunksIngested": 124,
"collection": "school"
}